Bug 10715 - MARC21 007 Plugin Editor doesn't load position 01
Summary: MARC21 007 Plugin Editor doesn't load position 01
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: David Cook
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-13 02:13 UTC by David Cook
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10715 - MARC21 007 Plugin Editor doesn't load position 01 (1.49 KB, patch)
2013-08-13 02:21 UTC, David Cook
Details | Diff | Splinter Review
Bug 10715 - MARC21 007 Plugin Editor doesn't load position 01 (1.54 KB, patch)
2013-08-14 14:31 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10715 - MARC21 007 Plugin Editor doesn't load position 01 (1.59 KB, patch)
2013-08-16 11:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-08-13 02:13:22 UTC
Currently, position 01 isn't loaded into the plugin editor for the 007 field in MARC21.

This is because the template expects 1 character but the perl script is trying to pass in 4 characters. 

I can see no reason for this and when I do a git blame, it looks like this might be an accidental holdover from a past implementation of the plugin editor.

If we switch the perl script to pass 1 character instead of 4, the plugin editor works as it should and I see no undesirable behaviours.
Comment 1 David Cook 2013-08-13 02:21:08 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-08-14 14:31:31 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 11:50:32 UTC
Created attachment 20399 [details] [review]
Bug 10715 - MARC21 007 Plugin Editor doesn't load position 01

This patch changes the MARC21 007 plugin editor so that it uses
1 character instead of 4 characters for position 01.

TEST PLAN:

1) Create new record/edit an existing record
2) Using the tag editor for the 007 field, choose "Videorecording"
3) Click OK
4) Change the second character in the 007 from "c" to "d"
5) Open the tag editor again
6) Note that position 01 will still say "c - Videocartridge" rather
than "d - Videodisc".
7) Exit tag editor

8) Apply patch

9) Reload the page (Shift + Refresh is always useful)
10) Open the tag editor again
11) Note that position 01 will now say "d - Videodisc"

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2013-08-16 14:16:13 UTC
Pushed to master.  Thanks, David!
Comment 5 Tomás Cohen Arazi 2013-09-11 17:18:00 UTC
been pushed to 3.12.x, will be in 3.12.5.

Thanks David!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 19:15:08 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-10-20 07:15:21 UTC
Pushed to 3.8.x, will be in 3.8.19